> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/schedule-endpoints-restful-1/competitions-id-draws/response-model.md).

# Response Model

## Draw Object (Tennis)

| Field Name      | Type           | Description                                                                                                                                                                                                                                                              |
| --------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| competitionId   | string         | Unique identifier for this competition                                                                                                                                                                                                                                   |
| competitionType | string         | Identifies the competition type e.g MD/MX - Mens Doubles, LS - Ladies singles. There will be a draw object for each singles competition in the tournament and each doubles competition. Therefore, for a tournament with both ATP & WTA events there may be 4 or 5 draws |
| drawSize        | int            | Number of positions in the draw                                                                                                                                                                                                                                          |
| entrySize       | int            | Number of teams in the draw (if not equal to drawSize then some teams will be given byes)                                                                                                                                                                                |
| numberOfPools   | int            | (Round robin tournament only) The number of pools in the round robin                                                                                                                                                                                                     |
| matches         | array\[object] | Array of Match objects describing the matches that are to be played                                                                                                                                                                                                      |

## Match Object (Tennis)

| Field Name    | Type      | Description                                                                                                                                                                             |
| ------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eventId       | string    | Unique identifier for this match within the competition - to match this with the eventID returned in the /\[id]/events end point you just need to concatenate it with the competitionID |
| round         | int       | (Knockout tournament only) Which round of the draw this match is in. The rounds work backwards, with 1 being the final, 2 being the semi finals, 3 the quarters etc                     |
| stageType     | string    | (Round robin only) Indicates if this match is in the group stage or the knockout stage. Values are Group or Knockout                                                                    |
| groupId       | int       | (Round robin only) If a group stage match then this shows the id of the group the match is in                                                                                           |
| teamA         | object    | A team status object describing the first team taking part (if known)                                                                                                                   |
| teamB         | object    | A team status object describing the second team taking part (if known)                                                                                                                  |
| estimatedDate | date      | Indicates the date when the match is likely to be played                                                                                                                                |
| estimatedTime | timestamp | Please be advised that this is merely a placeholder until the official Order of Play has been released and will be defaulted to 10am local time                                         |

## Team Status Object (Tennis)

| Field Name | Type   | Description                                                                                                                                                                |
| ---------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status     | string | Indicates if the player detail is known for this team. Values are KnownTennisTeam, UnknownTennisTeam or Bye. For UnknownTennisTeam or Bye, no other fields will be present |
| team       | object | A tennis team object                                                                                                                                                       |

## Team Object (Tennis)

| Field Name | Type   | Description                                                                                                                                           |
| ---------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| Player1    | object | Player object containing details for the first player in the team                                                                                     |
| Player2    | object | Player object containing details for the second player in the team. Only present if a doubles team                                                    |
| seed       | int    | This team’s seeding for the competition                                                                                                               |
| entryType  | string | This team’s entry type for the competition. Possible values are: Wildcard, Qualifier, LuckyLoser, ProtectedRank, Alternate, SpecialExempt or Standard |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/tennis/schedule-endpoints-restful-1/competitions-id-draws/response-model.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
